Page MenuHomePhabricator

1.39.0-wmf.22 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
jeena
Release Version
1.39.0-wmf.22
Release Date
Jul 25 2022, 12:00 AM

2022 week 30 1.39-wmf.22 Changes wmf/1.39.0-wmf.22

This MediaWiki Train Deployment is scheduled for the week of Monday, July 25th:

Monday July 25thTuesday, July 26thWednesday, July 27thThursday, July 28thFriday
Backports only.Branch wmf.22 and deploy to Group 0 Wikis.Deploy wmf.22 to Group 1 Wikis.Deploy wmf.22 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.22 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.39.0-wmf.21
Next: 1.39.0-wmf.23

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: jeena.
thcipriani set the point value for this task to 5.

Change 817308 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/817308

Change 817308 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/817308

Mentioned in SAL (#wikimedia-operations) [2022-07-26T16:52:33Z] <brennen@deploy1002> Started scap: testwikis wikis to 1.39.0-wmf.22 refs T308075

Mentioned in SAL (#wikimedia-operations) [2022-07-26T17:28:23Z] <brennen@deploy1002> Finished scap: testwikis wikis to 1.39.0-wmf.22 refs T308075 (duration: 35m 50s)

Change 817320 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/817320

Change 817320 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/817320

Mentioned in SAL (#wikimedia-operations) [2022-07-26T18:08:46Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.39.0-wmf.22 refs T308075

End-of-workday status notes: Stable and quiet at group0; will plan to backport the fix for T313836 before group1.

if you see any errors related to templatelinks, it's me. It's not just risky patch but also schema changes happening.

if you see any errors related to templatelinks, it's me. It's not just risky patch but also schema changes happening.

Thanks for the heads up!

Change 817905 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/817905

Change 817905 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/817905

Mentioned in SAL (#wikimedia-operations) [2022-07-27T22:05:43Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.39.0-wmf.22 refs T308075

Mentioned in SAL (#wikimedia-operations) [2022-07-27T22:08:52Z] <brennen@deploy1002> Synchronized php: group1 wikis to 1.39.0-wmf.22 refs T308075 (duration: 03m 08s)

End-of-workday notes: Currently stable on group1.

There are some templatelinks errors now on testwiki (ApiQueryBacklinks::runFirstQuery) but those has nothing to do with the train and rollback won't fix it. So ignore those until I push the patch for it.

There are some templatelinks errors now on testwiki (ApiQueryBacklinks::runFirstQuery) but those has nothing to do with the train and rollback won't fix it. So ignore those until I push the patch for it.

Will do.

Sorry, a bit late.

Risky Patch! 🚂🔥

Mentioned in SAL (#wikimedia-operations) [2022-07-28T19:35:55Z] <brennen> 1.39.0-wmf.22 train (T308075): blocker resolved, rolling to all wikis

Change 818212 had a related patch set uploaded (by TrainBranchBot; author: Brennen Bearnes):

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/818212

Change 818212 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.39.0-wmf.22

https://gerrit.wikimedia.org/r/818212

Mentioned in SAL (#wikimedia-operations) [2022-07-28T19:44:00Z] <brennen@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.39.0-wmf.22 refs T308075

Stable at all wikis.